import '@/styles/reset.less';
import '@/styles/component.less';
// import './images/font-icon/iconfont.css';
// import './images/font-icon/iconfont.js';
import axios from 'axios';
import Vue from 'vue';
import App from './App.vue';
import router from './router';
import { isRequest } from '@/config';
import filters from '@/filters';
// import ElementUI from 'element-ui';
// import 'element-ui/lib/theme-chalk/index.css';

// 请求头这种添加请求标识
// Vue.use(ElementUI);
// 复制粘贴
import VueClipboard from 'vue-clipboard2';
Vue.use(VueClipboard);
axios.defaults.headers.common = Object.assign(axios.defaults.headers.common, isRequest);
axios.defaults.withCredentials = true;
Vue.config.productionTip = false;
Vue.prototype.axios = axios;

// 开启vue devtools.....
/* eslint-disable-next-line */
Vue.config.devtools = process.env.NODE_ENV !== 'production';

// 全局引入filter
Object.keys(filters).forEach(item => Vue.filter(item, filters[item]));

new Vue({
  router,
  render: h => h(App)
}).$mount('#app');
