export function generatorMenuList(list) {
  let treeData = list.filter(el => !el.parentCode);
  treeData = treeData.filter(el => el.isShow === 1);
  treeData.sort((a, b) => a.sort - b.sort);
  const travel = (root, allData) => {
    root.forEach(item => {
      let children = allData.filter(el => el.parentCode === item.code);
      item.children = children.filter(el => el.isShow === 1);
      item.children.sort((a, b) => a.sort - b.sort);
      item.nodeChildren = item.children;
      item.indexSort = item.sort;
      travel(item.children, allData);
    });
  };
  travel(treeData, list);
  return treeData;
}

export function getFirstMenu(list) {
  const travel = (root) => {
    for (let i of root) {
      if (i.children.length === 0) {
        return i;
      } else {
        return travel(i.children);
      }
    }
  };
  return travel(list);
}
