module.exports = {
  extends: ['@commitlint/config-conventional'],
  rules: {
    'scope-empty': [0],
    'scope-case': [0],
    'subject-full-stop': [0, 'never'],
    'subject-case': [0, 'never'],
    'type-enum': [ // commit type 类型
      2,
      'always',
      [
        'add', // 新功能
        'feat', // 新功能
        'fix', // 修改问题
        'update', // 更新
        'style', // 样式
        'test', // 测试
        'docs', // 文档
        'refactor', // 重构
        'chore' // 依赖包/辅助工具的变动
      ]
    ]
  }
};
