import Vue from 'vue';
import VueRouter from 'vue-router';
Vue.use(VueRouter);
import { routes } from './routes.js';
// import Layout from '@/layout/layout';

export const staticRoutes = [
  {
    path: '*',
    component: () => import('@/views/404.vue')
  }
];

export const asyncRoutes = [
  ...routes
];


const router = new VueRouter({
  // mode: 'history',
  // base: '/gic-operation/',
  routes: [ ...staticRoutes, ...asyncRoutes ]
});

export default router;
